% Program 10_8
% Design of Lth Band FIR Filter Using the
% Windowed Fourier Series Approach
%
N = input('Type in the filter length = ');
L = input('Type in the value of L = ');
K = (N-1)/2;
n = -K:K;
% Generate the truncated impulse response of the ideal
% lowpass filter
b = sinc(n/L)/L;
% Generate the window sequence
win = hamming(N);
% Generate the coefficients of the windowed filter
c = b.*win';
% Plot the gain response of the windowed filter
[h,w] = freqz(c,1,256);
g = 20*log10(abs(h));
plot(w/pi,g);grid
xlabel('\omega/\pi');ylabel('Gain, dB');