% Program 2_3
%  Illustration of Signal Generation
%
% Random noise generation
R = 50;
d = rand(R,1)-0.5;
% Generate the uncorrupted signal
m = 0:1:R-1;
s = 2*m.*(0.9.^m);
subplot(2,1,1)
stem(m,s)
xlabel('Time index n'); ylabel('Amplitude')
title('Original uncorrupted sequence')
subplot(2,1,2)
stem(m,d)
xlabel('Time index n'); ylabel('Amplitude')
title('Noise')