% Program 3_4
% Numerical Computation of DTFT Using DFT
%
% Generate the length-16 sinusoidal sequence
k = 0:15;
x = cos(2*pi*k*3/16);
% Compute its 512-point DFT
X = fft(x);
XE = fft(x,512);
% Plot the frequency response
L = 0:511;
plot(L/512,abs(XE))
hold
plot(k/16,abs(X),'o')
xlabel('Normalized angular frequency')
ylabel('Magnitude')