% Program 3_6
% Illustration of Overlap-Add Method
%
% Generate the noise sequence
R = 64;
d = rand(R,1)-0.5;
% Generate the uncorrupted sequence and add noise
for m = 1:1:R;
	s(m) = 2*(m-1)*((0.9)^(m-1));
	x(m) = s(m) + d(m);
end
k = 0:1:R-1;
% Read in the length of the moving average filter
M = input('Length of moving average filter = ');
% Generate the moving average filter coefficients
h = ones(1,M)/M;
% Perform the overlap-add filtering operation
y = fftfilt(h,x,4);
% Plot the results
plot(k,s,'r-',k,y,'b--')
xlabel('Time index n');ylabel('Amplitude')
legend( 'r-','s[n]','b--','y[n]')